%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%global __provides_exclude_from %{_datadir}/gnome/help/.*
%global __requires_exclude_from %{_datadir}/gnome/help/.*

Summary:	Documentation of C++ wrappers for GLib/GTK+
Name:		gtkmm-documentation
Version:	3.24.3
Release:	%mkrel 1
License:	GFDL
Group:		Documentation
Url:		https://developer.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	scrollkeeper
BuildRequires:	pkgconfig
BuildRequires:	gnome-doc-utils
BuildRequires:	meson
BuildRequires:	perl
BuildRequires:	pkgconfig(giomm-2.4) >= 2.36.0
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.10.0
BuildRequires:	itstool

%description
GLib is a low-level general-purpose library used mainly by GTK+/GNOME
applications, but is useful for other programs as well. glibmm is the C++
wrapper for GLib.

Gtkmm is a C++ interface for the popular GUI library GTK+. It provides a
convenient interface for C++ programmers to create graphical user interfaces
with GTK+'s flexible OO framework. Highlights include type safe callbacks,
widgets extensible using inheritance and over 180 classes that can be freely
combined to quickly create complex user interfaces.

This package contains tutorial, FAQ, as well as examples for the above
components.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name --with-gnome

%files -f %{name}.lang
%doc NEWS README.md AUTHORS
%{_datadir}/doc/gtkmm-3.0/


%changelog
* Sun Apr 23 2023 daviddavid <daviddavid> 3.24.3-1.mga9
+ Revision: 1954585
- new version 3.24.3

* Wed Mar 23 2022 ovitters <ovitters> 3.24.2-1.mga9
+ Revision: 1822122
- new version 3.24.2

* Mon Dec 14 2020 daviddavid <daviddavid> 3.24.1-1.mga8
+ Revision: 1657341
- switch to meson build system
+ ovitters <ovitters>
- new version 3.24.1

* Wed Apr 22 2020 ovitters <ovitters> 3.24.0-3.mga8
+ Revision: 1570871
- rebuild for to test removal of deprecated macros

* Fri Feb 14 2020 umeabot <umeabot> 3.24.0-2.mga8
+ Revision: 1521254
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Nov 12 2018 ovitters <ovitters> 3.24.0-1.mga7
+ Revision: 1329680
- new version 3.24.0

* Wed Nov 07 2018 ovitters <ovitters> 3.22.1-1.mga7
+ Revision: 1328759
- new version 3.22.1

* Thu Sep 20 2018 umeabot <umeabot> 3.22.0-2.mga7
+ Revision: 1278643
- Mageia 7 Mass Rebuild

* Tue Aug 22 2017 ovitters <ovitters> 3.22.0-1.mga7
+ Revision: 1143243
- new version 3.22.0

* Mon Mar 28 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 995901
- new version 3.20.0

* Sat Feb 20 2016 umeabot <umeabot> 3.19.3-2.mga6
+ Revision: 972713
- Mageia 6 Mass Rebuild
+ ovitters <ovitters>
- new version 3.19.3

* Mon Nov 30 2015 ovitters <ovitters> 3.18.0-1.mga6
+ Revision: 907311
- new version 3.18.0

* Tue Aug 11 2015 ovitters <ovitters> 3.17.50-1.mga6
+ Revision: 862469
- new version 3.17.50
- new version 3.15.1

* Wed Oct 15 2014 umeabot <umeabot> 3.12.0-3.mga5
+ Revision: 750626
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.12.0-2.mga5
+ Revision: 680024
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq

* Mon Apr 28 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 618729
- new version 3.12.0

* Tue Oct 22 2013 umeabot <umeabot> 3.9.1-2.mga4
+ Revision: 545024
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.9.1-1.mga4
+ Revision: 500674
- imported package gtkmm-documentation

